Package com.smartgwt.client.types

# Enum LogicalOperator

java.lang.Object
java.lang.Enum<LogicalOperator>
com.smartgwt.client.types.LogicalOperator

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<LogicalOperator>`, `Constable`

public enum LogicalOperator extends Enum<LogicalOperator> implements ValueEnum
Operators that can evaluate a set of criteria and produce a combined result.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AND`
  true if all criteria are true
  `NOT`
  true if all criteria are false
  `OR`
  true if any criteria are true

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static LogicalOperator`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LogicalOperator[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AND

    public static final LogicalOperator AND
    true if all criteria are true

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "and".

  - ### OR

    public static final LogicalOperator OR
    true if any criteria are true

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "or".

  - ### NOT

    public static final LogicalOperator NOT
    true if all criteria are false

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "not".

- ## Method Details

  - ### values

    public static LogicalOperator[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LogicalOperator valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`